Agda-2.3.0.1: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe-Infered

Agda.Utils.IO.UTF8

Description

Text IO using the UTF8 character encoding.

Synopsis

- readTextFile :: FilePath -> IO String
- hPutStr :: Handle -> String -> IO ()
- writeFile :: FilePath -> String -> IO ()

# Documentation

readTextFile :: FilePath -> IO String

Reads a UTF8-encoded text file and converts all Unicode line endings into '\n'.

hPutStr :: Handle -> String -> IO ()

Writes UTF8-encoded text to the handle, which should be opened for writing and in text mode. The native convention for line endings is used.

writeFile :: FilePath -> String -> IO ()

Writes a UTF8-encoded text file. The native convention for line endings is used.